#### initialization ####

if auto_init_flag:
   auto_init_flag = 0

   state = 0
   
#### end of initialization ####

if auto_time_check(0,1.0):
   if state >= 12:
      state = 0
   else:
      state += 1
   
   ### test 1 controller ###
   if state == 1:
      x = auto_read(1,"v")
      if x: x = 0
      else: x = 25
      auto_write(1,x,"v")    # set PWM value (0 to 200)

   elif state == 2:
      x = auto_read(1,"d")
      if x: x = 0
      else: x = 1
      auto_write(1,x,"d") # set direction (0 or 1)
         
   elif state == 3:
      x = auto_read(1,"a")
      if x <= 10: x = 30
      else: x = 10
      auto_write(1,x,"a") # set acceleration (1 to 126）
         
   elif state == 4:
      x = auto_read(1,"o")
      if x: x = 0
      else: x = 30
      auto_write(1,x,"o") # set offset (0 to 126）
         
   elif state == 5:
      x = auto_read(1,"t")
      if x: x = 0
      else: x = 30
      auto_write(1,x,"t") # set wob cycle time (msec=10,20,30 or 40)
         
   elif state == 6:
      x = auto_read(1,"p")
      if x: x = 0
      else: x = 40
      auto_write(1,x,"p") # set wob power (0 to 62)
         
   ### test 2 point ###
   elif state == 7:
      x = auto_read(2)
      if x: x = 0
      else: x = 1
      auto_write(2,x)
      
   ### test 3 point_slow ###
   elif state == 8:
      x = auto_read(3)
      if x: x = 0
      else: x = 1
      auto_write(3,x)
      
   ### test 4 signal3 ###
   elif state == 9:
      x = auto_read(4)
      if x == 1: x = 2
      elif x == 2: x = 3
      else: x = 1
      auto_write(4,x)      

   ### test 5 sensor ###
   elif state == 10:
      x = auto_read(5)
      print("No.5 sensor =",x)

   ### test 8 signal6 ###
   elif state == 11:
      x = auto_read(8)
      if x == 5: x = 6
      elif x == 6: x = 7
      elif x == 7: x = 9
      elif x == 9: x = 13
      else: x = 5
      auto_write(8,x)

   ### test 11 switch ###
   elif state == 12:
      x = auto_read(11)
      if x: x = 0
      else: x = 1
      auto_write(11,x)

   ### test 12 read No.1 controller current (mA) ###
   if state == 1:
      x = auto_read(1,"m")
      print("No.1 controller current (mA) =",x)

